package com.yeejoin.equipmanage.common.utils;

import java.util.List;

public class CommonPageInfoParam extends CommonPageable {
	
	/**
	 * id
	 */
	private Long id;
	/**
	 * 名称
	 */
	private String name;
	
	/**
	 * 装备类型
	 */
	private String equipType;
	
	/**
	 * 编号
	 */
	private String code;
	
	/**
	 * 生产区域
	 */
	private String productArea;
	
	/**
	 * 保护对象
	 */
	private String protectObj;
	
	/**
	 * 装备分类
	 */
	private Long equipClassify;
	/**
	 * 开始时间
	 */
	private String beginDate;
	
	/**
	 * 结束时间
	 */
	private String endDate;
	
	/**
	 * 评价模型id
	 */
	private Long evalModelId;
	
	/**
	 * 风险点ID
	 */
	private Long riskSourceId;

	/**
	 * 位置
	 */
	private String warehouseStructureName;

	/**
	 * 装备编码
	 */
	private String equipCode;

	/**
	 * 装备类型编码
	 */
	private String equipDetailCode;

	/**
	 * 警情是否确认
	 */
	private String confirmType;

	/**
	 * 告警类型
	 */
	private String alarmType;

	private String orgCode;

	private Long alarmLogId;

	public Long getAlarmLogId() {
		return alarmLogId;
	}

	public void setAlarmLogId(Long alarmLogId) {
		this.alarmLogId = alarmLogId;
	}

	/**
	 * 筛选条件-告警类型
	 */
	private String type;

	/**
	 * 筛选条件-所属消防系统
	 */
	private String system;

	/**
	 * 筛选条件-处理状态
	 */
	private String handleStatus;

	/**
	 * 所属消防系统编码
	 */
	private String systemCode;

	/**
	 * 所属建筑id
	 */
	private String buildId;

	/**
	 * 所属建筑ids
	 */
	private List<String> buildIds;

	private String status;

	private String bizOrgCode;

	private String isRemoveShield;

	private String isFireAlarm;

	private String isRemovedFire;

	private String equipmentCode;

	private String indexTypeCode;

	private String fireEquipmentSpecificIndexKey;

	public void setFireEquipmentSpecificIndexKey(String fireEquipmentSpecificIndexKey) {
		this.fireEquipmentSpecificIndexKey = fireEquipmentSpecificIndexKey;
	}

	public String getFireEquipmentSpecificIndexKey() {
		return fireEquipmentSpecificIndexKey;
	}

	public String getIndexTypeCode() {
		return indexTypeCode;
	}

	public void setIndexTypeCode(String indexTypeCode) {
		this.indexTypeCode = indexTypeCode;
	}

	public String getEquipmentCode() {
		return equipmentCode;
	}

	public void setEquipmentCode(String equipmentCode) {
		this.equipmentCode = equipmentCode;
	}

	public void setIsRemovedFire(String isRemovedFire) {
		this.isRemovedFire = isRemovedFire;
	}

	public String getIsRemovedFire() {
		return isRemovedFire;
	}

	public void setIsFireAlarm(String isFireAlarm) {
		this.isFireAlarm = isFireAlarm;
	}

	public String getIsFireAlarm() {
		return isFireAlarm;
	}

	public void setIsRemoveShield(String isRemoveShield) {
		this.isRemoveShield = isRemoveShield;
	}

	public String getIsRemoveShield() {
		return isRemoveShield;
	}

	public void setCleanStatus(String cleanStatus) {
		this.cleanStatus = cleanStatus;
	}

	public String getCleanStatus() {
		return cleanStatus;
	}

	private String cleanStatus;

	public void setStatus(String status) {
		this.status = status;
	}

	public String getStatus() {
		return status;
	}

	public void setWarehouseStructureName(String warehouseStructureName) {
		this.warehouseStructureName = warehouseStructureName;
	}

	public void setEquipCode(String equipCode) {
		this.equipCode = equipCode;
	}

	public void setConfirmType(String confirmType) {
		this.confirmType = confirmType;
	}

	public String getConfirmType() {
		return confirmType;
	}

	public void setAlarmType(String alarmType) {
		this.alarmType = alarmType;
	}

	public String getWarehouseStructureName() {
		return warehouseStructureName;
	}

	public String getEquipCode() {
		return equipCode;
	}

	public String getEquipDetailCode() {
		return equipDetailCode;
	}

	public void setEquipDetailCode(String equipDetailCode) {
		this.equipDetailCode = equipDetailCode;
	}

	public String getAlarmType() {
		return alarmType;
	}

	public String getEquipType() {
		return equipType;
	}

	public void setEquipType(String equipType) {
		this.equipType = equipType;
	}

	public void setBizOrgCode(String bizOrgCode) {
		this.bizOrgCode = bizOrgCode;
	}

	public String getBizOrgCode() {
		return bizOrgCode;
	}
	
	

	public String getProductArea() {
		return productArea;
	}

	public void setProductArea(String productArea) {
		this.productArea = productArea;
	}

	public String getProtectObj() {
		return protectObj;
	}

	public void setProtectObj(String protectObj) {
		this.protectObj = protectObj;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getEvalModelId() {
		return evalModelId;
	}

	public void setEvalModelId(Long evalModelId) {
		this.evalModelId = evalModelId;
	}

	public Long getEquipClassify() {
		return equipClassify;
	}

	public void setEquipClassify(Long equipClassify) {
		this.equipClassify = equipClassify;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getBeginDate() {
		return beginDate;
	}

	public void setBeginDate(String beginDate) {
		this.beginDate = beginDate;
	}

	public String getEndDate() {
		return endDate;
	}

	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}

	public Long getRiskSourceId() {
		return riskSourceId;
	}

	public void setRiskSourceId(Long riskSourceId) {
		this.riskSourceId = riskSourceId;
	}

	/**
	 * @return the orgCode
	 */
	public String getOrgCode() {
		return orgCode;
	}

	/**
	 * @param orgCode the orgCode to set
	 */
	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getSystem() {
		return system;
	}

	public void setSystem(String system) {
		this.system = system;
	}

	public String getHandleStatus() {
		return handleStatus;
	}

	public void setHandleStatus(String handleStatus) {
		this.handleStatus = handleStatus;
	}

	public String getSystemCode() {
		return systemCode;
	}

	public void setSystemCode(String systemCode) {
		this.systemCode = systemCode;
	}

	public String getBuildId() {
		return buildId;
	}

	public void setBuildId(String buildId) {
		this.buildId = buildId;
	}

	public List<String> getBuildIds() {
		return buildIds;
	}

	public void setBuildIds(List<String> buildIds) {
		this.buildIds = buildIds;
	}
}
